Subject: bug#47570: libvirt still embeds full path to qemu-system in saved .xml files

From: divoplade <[email-masked]>
Date: Fri, 02 Apr 2021 22:41:04 +0200

Hello,

I tried to add my comment to issue 31365, but it has been archived and
made read-only.

This issue is not fully fixed. I’m using gnome-boxes to create virtual
machines, and I noticed something similar to what is experienced in
this issue.

The hard-coded path is in /gnu/store/xxx-profile/, so I think it has
been found in /run/current-system/profile/bin, but the symlink has been
resolved too early.

I have recently gc’ed my system, and that’s when I noticed I could not
run my VMs anymore.

My workaround is to replace the hard-coded paths in the XML files.

Best regards,

divoplade

https://issues.guix.gnu.org/31365